Package org.springframework.http.codec.json

# Class KotlinSerializationJsonDecoder

java.lang.Object
org.springframework.http.codec.KotlinSerializationSupport<T>
org.springframework.http.codec.KotlinSerializationStringDecoder<kotlinx.serialization.json.Json>
org.springframework.http.codec.json.KotlinSerializationJsonDecoder

All Implemented Interfaces:
  `org.springframework.core.codec.Decoder<Object>`

public class KotlinSerializationJsonDecoder extends KotlinSerializationStringDecoder<kotlinx.serialization.json.Json>
Decode a byte stream into JSON and convert to Object's with kotlinx.serialization.

This decoder can be used to bind `@Serializable` Kotlin classes, open polymorphic serialization is not supported. It supports `application/json` and `application/*+json` with various character sets, `UTF-8` being the default.

Decoding streams is not supported yet, see kotlinx.serialization/issues/1073 related issue.

Since:
  5.3
Author:
  Sebastien Deleuze, Iain Henderson

## Constructor Summary

Constructors
Constructor
Description
`KotlinSerializationJsonDecoder()`
`KotlinSerializationJsonDecoder(kotlinx.serialization.json.Json json)`

## Method Summary

### Methods inherited from class org.springframework.http.codec.KotlinSerializationStringDecoder

`canDecode, decode, decodeToMono, getDecodableMimeTypes, getDecodableMimeTypes, getMaxInMemorySize, setMaxInMemorySize`

### Methods inherited from class org.springframework.http.codec.KotlinSerializationSupport

`canSerialize, format, serializer, supportedMimeTypes`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.springframework.core.codec.Decoder

`decode`

## Constructor Details

### KotlinSerializationJsonDecoder

public KotlinSerializationJsonDecoder()

### KotlinSerializationJsonDecoder

public KotlinSerializationJsonDecoder(kotlinx.serialization.json.Json json)